<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.messaging-activemq.server.jgroups-discovery-group">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="initial-wait-timeout,jgroups-channel,jgroups-cluster,jgroups-stack,refresh-timeout"/>
        <elem name="addr-params" value="profile,subsystem,server,jgroups-discovery-group"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.messaging-activemq"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.messaging.activemq.jgroups-discovery-group.$server.$jgroups-discovery-group"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.clustering.command-dispatcher-factory.$jgroups-channel" optional="true"/>
        <capability name="$profile.org.wildfly.clustering.default-command-dispatcher-factory"/>
        <capability name="$profile.org.wildfly.clustering.jgroups.channel-factory.$jgroups-stack" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.messaging-activemq.server"/>
        <ref feature="subsystem.messaging-activemq"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="refresh-timeout" nillable="true"/>
        <param name="server" feature-id="true"/>
        <param name="jgroups-cluster"/>
        <param name="jgroups-discovery-group" feature-id="true"/>
        <param name="initial-wait-timeout" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="messaging-activemq"/>
        <param name="jgroups-stack" nillable="true"/>
        <param name="jgroups-channel" nillable="true"/>
    </params>
</feature-spec>